:
eval 'exec perl -w -S $0 ${1+"$@"}'
 if 0;
#
#         name: callTPMB.pl (Chapter 5)
#      version: Jan 17, 2001
#  description: Perl Interface to Model Builders (Mace)
#      authors: Patrick Blackburn & Johan Bos
#         mace: http://www-unix.mcs.anl.gov/AR/mace/
#        otter: http://www-unix.mcs.anl.gov/AR/otter/
#      bliksem: http://www.mpi-sb.mpg.de/~nivelle/bliksem/

my $domainsize = $ARGV[0];

my $mace_selected = ($ARGV[1] =~ /mace/);
my $otter_selected = ($ARGV[1] =~ /otter/);
my $bliksem_selected = ($ARGV[1] =~ /bliksem/);
my $paradox_selected = ($ARGV[1] =~ /paradox/);

my $mace_result = 0;
my $otter_result = 0;
my $bliksem_result = 0;
my $paradox_result = 0;
my $model = "";
my $readmacemodel = 0;
my $readparadoxmodel = 0;
my $readmace = 0;
my $readparadox = 0;
my $readotter = 0;
my $readbliksem = 0;

if ($mace_selected) {
   open(MACE_OUTPUT, "mace -t 30 -n1 -N$domainsize -P < /tmp/mace.in 2>/dev/null |");
   $readmace=1;
} 

if ($paradox_selected) {
   open(PARADOX_OUTPUT, "/home/jbos/PARADOX/paradox /tmp/paradox.in --print Model 2>/dev/null |");
   $readparadox=1;
} 

if ($otter_selected) {
   open(OTTER_OUTPUT, "otter < /tmp/otter.in 2>/dev/null |");
   $readotter=1;
}

if ($bliksem_selected) {
   open(BLIKSEM_OUTPUT, "bliksem < /tmp/bliksem.in 2>/dev/null |");
   $readbliksem=1;
}

while($readmace || $readparadox || $readotter || $readbliksem) { 
  if ($readmace && defined($_ = <MACE_OUTPUT>)) {
     if ($_ =~ /end_of_model/) {
        $readmacemodel = 0;
        $readmace = 0;
        $mace_result = 1;
     }
     elsif ($readmacemodel == 1) {
        $model = "$model$_";
        $model =~ s/\$(.*?)\,/$1\,/;
     }
     elsif ($_ =~ /======================= Model/) {
        $readmacemodel = 1;
        $readparadox = 0;
        $readotter = 0;
        $readbliksem = 0;
     }
  }
  else {
     $readmace=0;
  }
  if ($readparadox && defined($_ = <PARADOX_OUTPUT>)) {
     if ($_ =~ /== Result ======/) {
        $model = "$model dummy\n]).\n";
        $readparadoxmodel = 0;
        $readparadox = 0;
        $paradox_result = 1;
     }
     elsif ($readparadoxmodel == 1) {
        $newpart = $_;
        $newpart =~ s/\n/,\n/;
        $newpart =~ s/TRUE/1/;
        $newpart =~ s/FALSE/0/;
        if ($newpart =~ s/\'/d/g) {
            $model = "$model $newpart";
        }
     }
     elsif ($_ =~ /== Model =======/) {
        $model = "paradox([\n";
        $readparadoxmodel = 1;
        $readmace = 0;
        $readotter = 0;
        $readbliksem = 0;
     }
  }
  else {
     $readparadox=0;
  }
  if ($readotter && defined($_ = <OTTER_OUTPUT>)) {
     if ($_ =~ /proof of the theorem/) {
        $otter_result = 1;
        $readotter = 0,
        $readbliksem = 0,
        $readmace = 0;
        $readparadox = 0;
     }
  }
  else {
     $readotter=0;
  }
  if ($readbliksem && defined($_ = <BLIKSEM_OUTPUT>)) {
     if ($_ =~ /found a proof/) {
        $bliksem_result = 1;
        $readotter = 0,
        $readmace = 0;
        $readparadox = 0;
        $readbliksem = 0;
     }
  }
  else {
     $readbliksem=0;
  }
}

if ($mace_selected) {
   close MACE_OUTPUT;			 
} 

if ($paradox_selected) {
   close PARADOX_OUTPUT;			 
} 

if ($otter_selected) {
   close OTTER_OUTPUT;			 
}

if ($bliksem_selected) {
   close BLIKSEM_OUTPUT;			 
}

open(OUTPUT,">/tmp/tpmb.out");
if ($otter_result == 1) {
   print OUTPUT "proof.\n";
   print OUTPUT "engine(otter).\n";
}
elsif ($bliksem_result == 1) {
   print OUTPUT "proof.\n";
   print OUTPUT "engine(bliksem).\n";
}
elsif ($mace_result == 1) {
   print OUTPUT "$model";
   print OUTPUT "engine(mace).\n";
}
elsif ($paradox_result == 1) {
   print OUTPUT "$model";
   print OUTPUT "engine(paradox).\n";
}
else {
   print OUTPUT "unknown.\n";
}
close(OUTPUT);

exit 1;

