/*************************************************************************

         name: englishLexicon.pl
      version: April 16, 2002
  description: Lexical entries for a small coverage of English
      authors: Patrick Blackburn & Johan Bos
 
*************************************************************************/

:- module(englishLexicon,[lexEntry/2]).


/*========================================================================
   Determiners
========================================================================*/

lexEntry(det,[syntax:[every],mood:decl,type:uni]).
lexEntry(det,[syntax:[a],mood:decl,type:indef]).
lexEntry(det,[syntax:[the],mood:decl,type:def]).
lexEntry(det,[syntax:[which],mood:int,type:wh]).


/*========================================================================
   Nouns
========================================================================*/

lexEntry(noun,[symbol:animal,syntax:[animal],hypernyms:[animate,nonhuman,organism]]).
lexEntry(noun,[symbol:artifact,syntax:[artifact],hypernyms:[inedible,object]]).
lexEntry(noun,[symbol:beverage,syntax:[beverage],hypernyms:[drinkable,food]]).
lexEntry(noun,[symbol:building,syntax:[building],hypernyms:[immobile,artifact]]).
lexEntry(noun,[symbol:container,syntax:[container],hypernyms:[instrument]]).
lexEntry(noun,[symbol:cup,syntax:[cup],hypernyms:[container]]).
lexEntry(noun,[symbol:device,syntax:[device],hypernyms:[instrument]]).
lexEntry(noun,[symbol:burger,syntax:[burger],hypernyms:[undrinkable,food]]).
lexEntry(noun,[symbol:boxer,syntax:[boxer],hypernyms:[person]]).
lexEntry(noun,[symbol:boss,syntax:[boss],hypernyms:[person]]).
lexEntry(noun,[symbol:car,syntax:[car],hypernyms:[vehicle]]).
lexEntry(noun,[symbol:chainsaw,syntax:[chainsaw],hypernyms:[device]]).
lexEntry(noun,[symbol:criminal,syntax:[criminal],hypernyms:[person]]).
lexEntry(noun,[symbol:customer,syntax:[customer],hypernyms:[person]]).
lexEntry(noun,[symbol:drug,syntax:[drug],hypernyms:[undrinkable,food]]).
lexEntry(noun,[symbol:entity,syntax:[entity],hypernyms:[concrete,thing]]).
lexEntry(noun,[symbol:episode,syntax:[episode],hypernyms:[event]]).
lexEntry(noun,[symbol:event,syntax:[event],hypernyms:[abstract,thing]]).
lexEntry(noun,[symbol:fdshake,syntax:[five,dollar,shake],hypernyms:[beverage]]).
lexEntry(noun,[symbol:food,syntax:[food],hypernyms:[edible,object]]).
lexEntry(noun,[symbol:footmassage,syntax:[foot,massage],hypernyms:[event]]).
lexEntry(noun,[symbol:gimp,syntax:[gimp],hypernyms:[person]]).
lexEntry(noun,[symbol:glass,syntax:[glass],hypernyms:[container]]).
lexEntry(noun,[symbol:gun,syntax:[gun],hypernyms:[weapon]]).
lexEntry(noun,[symbol:hammer,syntax:[hammer],hypernyms:[device]]).
lexEntry(noun,[symbol:hashbar,syntax:[hash,bar],hypernyms:[building]]).
lexEntry(noun,[symbol:person,syntax:[person],hypernyms:[human,animate,organism]]).
lexEntry(noun,[symbol:husband,syntax:[husband],hypernyms:[married,man]]).
lexEntry(noun,[symbol:instrument,syntax:[instrument],hypernyms:[mobile,artifact]]).
lexEntry(noun,[symbol:joke,syntax:[joke],hypernyms:[event]]).
lexEntry(noun,[symbol:man,syntax:[man],hypernyms:[male,person]]).
lexEntry(noun,[symbol:needle,syntax:[needle],hypernyms:[device]]).
lexEntry(noun,[symbol:object,syntax:[object],hypernyms:[nonliving,entity]]).
lexEntry(noun,[symbol:organism,syntax:[organism],hypernyms:[living,entity]]).
lexEntry(noun,[symbol:owner,syntax:[owner],hypernyms:[person]]).
lexEntry(noun,[symbol:piercing,syntax:[piercing],hypernyms:[event]]).
lexEntry(noun,[symbol:plant,syntax:[plant],hypernyms:[nonhuman,inanimate,organism]]).
lexEntry(noun,[symbol:qpwc,syntax:[quarter,pounder,with,cheese],hypernyms:[undrinkable,food]]).
lexEntry(noun,[symbol:radio,syntax:[radio],hypernyms:[instrument]]).
lexEntry(noun,[symbol:restaurant,syntax:[restaurant],hypernyms:[building]]).
lexEntry(noun,[symbol:robber,syntax:[robber],hypernyms:[person]]).
lexEntry(noun,[symbol:suitcase,syntax:[suitcase],hypernyms:[container]]).
lexEntry(noun,[symbol:shotgun,syntax:[shotgun],hypernyms:[weapon]]).
lexEntry(noun,[symbol:sword,syntax:[sword],hypernyms:[weapon]]).
lexEntry(noun,[symbol:vehicle,syntax:[vehicle],hypernyms:[instrument]]).
lexEntry(noun,[symbol:weapon,syntax:[weapon],hypernyms:[instrument]]).
lexEntry(noun,[symbol:wife,syntax:[wife],hypernyms:[married,woman]]).
lexEntry(noun,[symbol:woman,syntax:[woman],hypernyms:[female,person]]).


/*========================================================================
   Proper Names
========================================================================*/

lexEntry(pn,[symbol:butch,syntax:[butch],sem:[male,person]]).
lexEntry(pn,[symbol:esmarelda,syntax:[esmarelda],sem:[female,person]]).
lexEntry(pn,[symbol:honey_bunny,syntax:[honey,bunny],sem:[female,person]]).
lexEntry(pn,[symbol:jimmy,syntax:[jimmy],sem:[male,person]]).
lexEntry(pn,[symbol:jody,syntax:[jody],sem:[female,person]]).
lexEntry(pn,[symbol:jules,syntax:[jules],sem:[male,person]]).
lexEntry(pn,[symbol:lance,syntax:[lance],sem:[male,person]]).
lexEntry(pn,[symbol:marsellus,syntax:[marsellus],sem:[male,person]]).
lexEntry(pn,[symbol:marsellus,syntax:[marsellus,wallace],sem:[male,person]]).
lexEntry(pn,[symbol:marvin,syntax:[marvin],sem:[male,person]]).
lexEntry(pn,[symbol:mia,syntax:[mia],sem:[female,person]]).
lexEntry(pn,[symbol:mia,syntax:[mia,wallace],sem:[female,person]]).
lexEntry(pn,[symbol:pumpkin,syntax:[pumpkin],sem:[male,person]]).
lexEntry(pn,[symbol:thewolf,syntax:[the,wolf],sem:[male,person]]).
lexEntry(pn,[symbol:vincent,syntax:[vincent],sem:[male,person]]).
lexEntry(pn,[symbol:vincent,syntax:[vincent,vega],sem:[male,person]]).
lexEntry(pn,[symbol:yolanda,syntax:[yolanda],sem:[female,person]]).


/*========================================================================
   Quantified Noun Phrases
========================================================================*/

lexEntry(qnp,[symbol:person,syntax:[who],mood:int,type:wh]).
lexEntry(qnp,[symbol:thing,syntax:[what],mood:int,type:wh]).


/*========================================================================
   Intransitive Verbs
========================================================================*/

lexEntry(iv,[symbol:collapse,syntax:[collapse],inf:inf,num:sg]).
lexEntry(iv,[symbol:collapse,syntax:[collapses],inf:fin,num:sg]).
lexEntry(iv,[symbol:collapse,syntax:[collapse],inf:fin,num:pl]).

lexEntry(iv,[symbol:dance,syntax:[dance],inf:inf,num:sg]).
lexEntry(iv,[symbol:dance,syntax:[dances],inf:fin,num:sg]).
lexEntry(iv,[symbol:dance,syntax:[dance],inf:fin,num:pl]).

lexEntry(iv,[symbol:die,syntax:[die],inf:inf,num:sg]).
lexEntry(iv,[symbol:die,syntax:[dies],inf:fin,num:sg]).
lexEntry(iv,[symbol:die,syntax:[die],inf:fin,num:pl]).

lexEntry(iv,[symbol:growl,syntax:[growl],inf:inf,num:sg]).
lexEntry(iv,[symbol:growl,syntax:[growls],inf:fin,num:sg]).
lexEntry(iv,[symbol:growl,syntax:[growl],inf:fin,num:pl]).

lexEntry(iv,[symbol:playairguitar,syntax:[play,air,guitar],inf:inf,num:sg]).
lexEntry(iv,[symbol:playairguitar,syntax:[plays,air,guitar],inf:fin,num:sg]).
lexEntry(iv,[symbol:playairguitar,syntax:[play,air,guitar],inf:fin,num:pl]).

lexEntry(iv,[symbol:smoke,syntax:[smoke],inf:inf,num:sg]).
lexEntry(iv,[symbol:smoke,syntax:[smokes],inf:fin,num:sg]).
lexEntry(iv,[symbol:smoke,syntax:[smoke],inf:fin,num:pl]).

lexEntry(iv,[symbol:snort,syntax:[snort],inf:inf,num:sg]).
lexEntry(iv,[symbol:snort,syntax:[snorts],inf:fin,num:sg]).
lexEntry(iv,[symbol:snort,syntax:[snort],inf:fin,num:pl]).

lexEntry(iv,[symbol:shriek,syntax:[shriek],inf:inf,num:sg]).
lexEntry(iv,[symbol:shriek,syntax:[shrieks],inf:fin,num:sg]).
lexEntry(iv,[symbol:shriek,syntax:[shriek],inf:fin,num:pl]).

lexEntry(iv,[symbol:walk,syntax:[walk],inf:inf,num:sg]).
lexEntry(iv,[symbol:walk,syntax:[walks],inf:fin,num:sg]).
lexEntry(iv,[symbol:walk,syntax:[walk],inf:fin,num:pl]).


/*========================================================================
   Transitive Verbs
========================================================================*/

lexEntry(tv,[symbol:clean,syntax:[clean],inf:inf,num:sg]).
lexEntry(tv,[symbol:clean,syntax:[cleans],inf:fin,num:sg]).
lexEntry(tv,[symbol:clean,syntax:[clean],inf:fin,num:pl]).

lexEntry(tv,[symbol:drink,syntax:[drink],inf:inf,num:sg]).
lexEntry(tv,[symbol:drink,syntax:[drinks],inf:fin,num:sg]).
lexEntry(tv,[symbol:drink,syntax:[drink],inf:fin,num:pl]).

lexEntry(tv,[symbol:date,syntax:[date],inf:inf,num:sg]).
lexEntry(tv,[symbol:date,syntax:[dates],inf:fin,num:sg]).
lexEntry(tv,[symbol:date,syntax:[date],inf:fin,num:pl]).

lexEntry(tv,[symbol:discard,syntax:[discard],inf:inf,num:sg]).
lexEntry(tv,[symbol:discard,syntax:[discards],inf:fin,num:sg]).
lexEntry(tv,[symbol:discard,syntax:[discard],inf:fin,num:pl]).

lexEntry(tv,[symbol:eat,syntax:[eat],inf:inf,num:sg]).
lexEntry(tv,[symbol:eat,syntax:[eats],inf:fin,num:sg]).
lexEntry(tv,[symbol:eat,syntax:[eat],inf:fin,num:pl]).

lexEntry(tv,[symbol:enjoy,syntax:[enjoy],inf:inf,num:sg]).
lexEntry(tv,[symbol:enjoy,syntax:[enjoys],inf:fin,num:sg]).
lexEntry(tv,[symbol:enjoy,syntax:[enjoy],inf:fin,num:pl]).

lexEntry(tv,[symbol:hate,syntax:[hate],inf:inf,num:sg]).
lexEntry(tv,[symbol:hate,syntax:[hates],inf:fin,num:sg]).
lexEntry(tv,[symbol:hate,syntax:[hate],inf:fin,num:pl]).

lexEntry(tv,[symbol:have,syntax:[have],inf:inf,num:sg]).
lexEntry(tv,[symbol:have,syntax:[has],inf:fin,num:sg]).
lexEntry(tv,[symbol:have,syntax:[have],inf:fin,num:pl]).

lexEntry(tv,[symbol:kill,syntax:[kill],inf:inf,num:sg]).
lexEntry(tv,[symbol:kill,syntax:[kills],inf:fin,num:sg]).
lexEntry(tv,[symbol:kill,syntax:[kill],inf:fin,num:pl]).

lexEntry(tv,[symbol:know,syntax:[know],inf:inf,num:sg]).
lexEntry(tv,[symbol:know,syntax:[knows],inf:fin,num:sg]).
lexEntry(tv,[symbol:know,syntax:[know],inf:fin,num:pl]).

lexEntry(tv,[symbol:like,syntax:[like],inf:inf,num:sg]).
lexEntry(tv,[symbol:like,syntax:[likes],inf:fin,num:sg]).
lexEntry(tv,[symbol:like,syntax:[like],inf:fin,num:pl]).

lexEntry(tv,[symbol:love,syntax:[love],inf:inf,num:sg]).
lexEntry(tv,[symbol:love,syntax:[loves],inf:fin,num:sg]).
lexEntry(tv,[symbol:love,syntax:[love],inf:fin,num:pl]).

lexEntry(tv,[symbol:pickup,syntax:[pick,up],inf:inf,num:sg]).
lexEntry(tv,[symbol:pickup,syntax:[picks,up],inf:fin,num:sg]).
lexEntry(tv,[symbol:pickup,syntax:[pick,up],inf:fin,num:pl]).

lexEntry(tv,[symbol:shoot,syntax:[shot],inf:inf,num:sg]).
lexEntry(tv,[symbol:shoot,syntax:[shot],inf:fin,num:sg]).
lexEntry(tv,[symbol:shoot,syntax:[shoots],inf:fin,num:sg]).
lexEntry(tv,[symbol:shoot,syntax:[shoot],inf:fin,num:pl]).


/*========================================================================
   Copula
========================================================================*/

lexEntry(cop,[pol:pos,syntax:[is],inf:fin,num:sg]).
lexEntry(cop,[pol:neg,syntax:[is,not],inf:fin,num:sg]).
lexEntry(cop,[pol:pos,syntax:[are],inf:fin,num:pl]).
lexEntry(cop,[pol:neg,syntax:[are,not],inf:fin,num:pl]).


/*========================================================================
   Prepositions
========================================================================*/

lexEntry(prep,[symbol:about,syntax:[about]]).
lexEntry(prep,[symbol:in,syntax:[in]]).
lexEntry(prep,[symbol:of,syntax:[of]]).
lexEntry(prep,[symbol:with,syntax:[with]]).


/*========================================================================
   Adjectives
========================================================================*/

lexEntry(adj,[symbol:big,syntax:[big],antonyms:[small]]).
lexEntry(adj,[symbol:kahuna,syntax:[kahuna],antonyms:[]]).
lexEntry(adj,[symbol:male,syntax:[male],antonyms:[female]]).
lexEntry(adj,[symbol:female,syntax:[female],antonyms:[male]]).
lexEntry(adj,[symbol:concrete,syntax:[concrete],antonyms:[abstract]]).
lexEntry(adj,[symbol:animate,syntax:[animate],antonyms:[inanimate]]).
lexEntry(adj,[symbol:human,syntax:[human],antonyms:[nonhuman]]).
lexEntry(adj,[symbol:mobile,syntax:[mobile],antonyms:[immobile]]).
lexEntry(adj,[symbol:edible,syntax:[edible],antonyms:[inedible]]).
lexEntry(adj,[symbol:drinkable,syntax:[drinkable],antonyms:[undrinkable]]).
lexEntry(adj,[symbol:married,syntax:[married],antonyms:[single,unmarried]]).
lexEntry(adj,[symbol:living,syntax:[living],antonyms:[nonliving]]).


/*========================================================================
   Pronouns: lexEntry(pro,Sym,Words,{refl,no
========================================================================*/

lexEntry(pro,[symbol:male,syntax:[he],type:nonrefl]).
lexEntry(pro,[symbol:female,syntax:[she],type:nonrefl]).
lexEntry(pro,[symbol:nonhuman,syntax:[it],type:nonrefl]).
lexEntry(pro,[symbol:male,syntax:[him],type:nonrefl]).
lexEntry(pro,[symbol:female,syntax:[her],type:nonrefl]).
lexEntry(pro,[symbol:male,syntax:[himself],type:refl]).
lexEntry(pro,[symbol:female,syntax:[herself],type:refl]).
lexEntry(pro,[symbol:nonhuman,syntax:[itself],type:refl]).


/*========================================================================
   Relative Pronouns
========================================================================*/

lexEntry(relpro,[syntax:[who]]).
lexEntry(relpro,[syntax:[that]]).


/*========================================================================
   Coordinations
========================================================================*/

lexEntry(coord,[syntax:[and],type:conj]).
lexEntry(coord,[syntax:[or],type:disj]).


/*========================================================================
   Modifiers
========================================================================*/

lexEntry(av,[syntax:[does],inf:fin,num:sg,pol:pos]).
lexEntry(av,[syntax:[does,not],inf:fin,num:sg,pol:neg]).
lexEntry(av,[syntax:[did],inf:fin,num:sg,pol:pos]).
lexEntry(av,[syntax:[did,not],inf:fin,num:sg,pol:neg]).


