/*************************************************************************

         name: propTestSuite.pl
      version: Oct 26, 2002
  description: Test Suite with Propositional Formulas for Provers 
      authors: Patrick Blackburn & Johan Bos
 
*************************************************************************/

:- module(propTestSuite,[formula/2]).


/*========================================================================
   Formulas
========================================================================*/

formula(imp(p, q), 'Not a theorem').

formula(imp(p, p), 'Theorem').

formula(imp(imp(imp(p,q),r),imp(imp(p,q),imp(p,r))), 'Theorem').

formula(imp(p,imp(q,p)), 'Theorem').

formula(imp(imp(p,q),imp(not(q),not(p))), 'Theorem').

formula(imp(imp(not(p),not(q)),imp(q,p)), 'Theorem').

formula(imp(not(not(p)),p), 'Theorem').

formula(imp(p,not(not(p))), 'Theorem').

formula(imp(not(not(not(not(p)))),p), 'Theorem').

formula(imp(p,not(not(not(not(p))))), 'Theorem').

formula(imp(not(or(p,q)),and(not(p),not(q))), 'Theorem').

formula(imp(and(not(p),not(q)),not(or(p,q))), 'Theorem').

formula(imp(not(and(p,q)),or(not(p),not(q))), 'Theorem').

formula(imp(and(not(p),not(q)),not(or(p,q))), 'Theorem').

formula(imp(or(r,and(p,q)),and(or(r,p),or(r,q))), 'Theorem').

formula(imp(and(or(r,p),or(r,q)),or(r,and(p,q))), 'Theorem').

formula(imp(and(r,or(p,q)),or(and(r,p),and(r,q))), 'Theorem').

formula(imp(or(and(r,p),and(r,q)),and(r,or(p,q))), 'Theorem').

formula(imp(and(imp(p,r),imp(q,s)),
            imp(and(p,q),and(r,s))), 'Theorem').

formula(imp(p,or(p,q)), 'Theorem').

formula(imp(p,or(q,p)), 'Theorem').

formula(imp(and(p,q),p), 'Theorem').

formula(imp(and(p,q),q), 'Theorem').

formula(imp(or(p,not(q)),or(p,q)), 'Not a theorem').

formula(imp(and(or(p,not(p)),or(p,not(q))),
            or(p,q)), 'Not a theorem').

formula(imp(and(and(or(p,not(p)),or(r,not(r))),or(p,not(q))),
            or(p,q)), 'Not a theorem').

formula(imp(or(p,and(not(p),q)),or(p,q)), 'Theorem').

formula(and(imp(or(p,and(not(p),q)),or(p,q)),
            imp(or(p,q),or(p,and(not(p),q)))), 'Theorem').

formula(imp(and(and(or(p11,p12),or(p21,p22)),or(p31,p32)),
            or(or(or(or(or(and(p11,p21),and(p11,p31)),and(p21,p31)),
               and(p12,p22)),and(p12,p32)),and(p22,p32))), 'Theorem').

formula(imp(and(and(and(or(or(p11,p12),p13),or(or(p21,p22),p23)),
            or(or(p31,p32),p33)),or(or(p41,p42),p43)),
               or(or(or(or(or(or(or(or(or(or(or(or(or(or(or(or(or(and(p11,p21),
                  and(p11,p31)),and(p11,p41)),and(p21,p31)),and(p21,p41)),
                      and(p31,p41)),and(p12,p22)),and(p12,p32)),and(p12,p42)),
                          and(p22,p32)),and(p22,p42)),and(p32,p42)),and(p13,p23)),
                              and(p13,p33)),and(p13,p43)),and(p23,p33)),
                                  and(p23,p43)),and(p33,p43))), 'Theorem').


